import { filter } from 'lodash'

const regexStart = '~r/'
const regexEnd = '/'

export const muteWordHits = (status, muteWords) => {
  const statusText = status.text.toLowerCase()
  const statusSummary = status.summary.toLowerCase()
  const hits = filter(muteWords, (muteWord) => {
    if (muteWord instanceof RegExp) {
      return muteWord.test(statusText) || muteWord.test(statusSummary)
    }
    return statusText.includes(muteWord.toLowerCase()) || statusSummary.includes(muteWord.toLowerCase())
  })

  return hits
}
